Bug 103088 - RFE: network config not as flexible as windows 2k/xp
RFE: network config not as flexible as windows 2k/xp
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: FutureFeature
Depends On:
Blocks: 87718
  Show dependency treegraph
Reported: 2003-08-26 11:18 EDT by Matthew Lenz
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-13 06:09:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matthew Lenz 2003-08-26 11:18:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
Basically Windows 2K/XP allow you to retrieve default ip/route/dns info via DHCP
and then override those defaults with new DNS and Default Route information. 
This is EXTREMELY useful in an unobivous kind of way.  I thought maybe by adding
the default route under the 'Route' tab for the current profile would work, but
that was a no go, it seemed to just override that route with the DHCP provided
default route.

Really the bug would simply be that redhat network profiling only request DHCP
information that the user wants.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
See Summary.

Actual Results:  See Summary

Expected Results:  The ability to individually enable DHCP or provide manual
entry for the various DHCP parameters ( subnet-mask,  broadcast-address, 
time-offset, routers, domain-name, domain-name-servers, host-name, nis-domain, 
nis-servers, and ntp-servers ) on a per profile basis.

Additional info:

As far as I know dhclient fully supports these capabilites they just need to be
taken advantage of by the redhat-config tool.

Note You need to log in before you can comment on or make changes to this bug.